com.microfocus.awm.core.internal

## Class DefaultConfigurationSystemProvider

- java.lang.Object
- - com.microfocus.awm.model.AbstractLocalSystemProvider
  - - com.microfocus.awm.core.internal.DefaultConfigurationSystemProvider

- All Implemented Interfaces:
    ISystemProvider

      public class DefaultConfigurationSystemProvider
      extends AbstractLocalSystemProvider

  Provides local AWM systems from a default configuration file.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID` The ID of the system provider.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConfigurationSystemProvider()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MasterConfigurationReference` | `createMasterConfiguration(java.util.Map<java.lang.String,java.lang.String> pAttributes)` Creates a `MasterConfigurationReference` based on parsed default configurations XML attributes.
    `static java.util.List<ITaurusSystemProxy>` | `getDefaultConfigurationProxies()` Reads the default configurations XML file (if there is one defined) and returns the AWM system proxies.
    `java.lang.String` | `getID()` Gets the unique ID of the system provider as defined in the extension.
    `java.util.List<ITaurusSystemProxy>` | `getSystemProxies()` Gets a list of `ITaurusSystemProxy`s.
    `ITaurusSystem` | `loadPersistedSystem(TaurusSystemPersistableProxy pPersistableProxy)` Creates an `ITaurusSystem` from its persistable proxy representation.

    - ### Methods inherited from class com.microfocus.awm.model.AbstractLocalSystemProvider

      `getRemoteSystemImages`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final java.lang.String ID

      The ID of the system provider.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultConfigurationSystemProvider

          public DefaultConfigurationSystemProvider()

  - ### Method Detail

    - #### getSystemProxies

          public java.util.List<ITaurusSystemProxy> getSystemProxies()
                                                              throws TaurusCoreException

      Description copied from interface: `ISystemProvider`
      Gets a list of `ITaurusSystemProxy`s.
      Returns:
        a list of system proxies
      Throws:
        `TaurusCoreException` - if retrieving the system proxies fails

    - #### getDefaultConfigurationProxies

          public static java.util.List<ITaurusSystemProxy> getDefaultConfigurationProxies()
                                                                                   throws TaurusCoreException

      Reads the default configurations XML file (if there is one defined) and returns the AWM system proxies.
      Returns:
        the list of default AWM system proxies (can be empty)
      Throws:
        `TaurusCoreException` - if an error occurs while reading/parsing the default configurations file

    - #### createMasterConfiguration

          public static MasterConfigurationReference createMasterConfiguration(java.util.Map<java.lang.String,java.lang.String> pAttributes)

      Creates a `MasterConfigurationReference` based on parsed default configurations XML attributes.
      Parameters:
        `pAttributes` - parsed DefaultConfigurations.XML attributes
      Returns:
        the master configuration or `null` if neither a path nor a command is set

    - #### getID

          public java.lang.String getID()

      Description copied from interface: `ISystemProvider`
      Gets the unique ID of the system provider as defined in the extension.
      Returns:
        the ID of the system provider

    - #### loadPersistedSystem

          public ITaurusSystem loadPersistedSystem(TaurusSystemPersistableProxy pPersistableProxy)
                                            throws TaurusCoreException

      Description copied from interface: `ISystemProvider`
      Creates an `ITaurusSystem` from its persistable proxy representation. The persistable proxy will be created from loading the AWM system cache.
      Parameters:
        `pPersistableProxy` - the AWM system representation
      Returns:
        the `ITaurusSystem` or `null` if the provider cannot load a system from cache
      Throws:
        `TaurusCoreException` - if creating the AWM system failed

Copyright © 2015 Micro Focus GmbH. All rights reserved.